let layers = document.querySelectorAll('.layer');

function parallax() {
     layers.forEach(layer => {
         let speed = layer.dataset.parallax; 
         let yPosition = window.scrollY * -speed;
         layer.style.transform = "translateY(" + yPosition + "px)";
     })
}

window.addEventListener('scroll', parallax);

function openCity(evt, cityName) {
  // Declare all variables
  var i, tabcontent, tablinks;

  // Get all elements with class="tabcontent" and hide them
  tabcontent = document.getElementsByClassName("tabcontent");
  for (i = 0; i < tabcontent.length; i++) {
    tabcontent[i].style.display = "none";
  }

  // Get all elements with class="tablinks" and remove the class "active"
  tablinks = document.getElementsByClassName("tablinks");
  for (i = 0; i < tablinks.length; i++) {
    tablinks[i].className = tablinks[i].className.replace(" active", "");
  }

  // Show the current tab, and add an "active" class to the button that opened the tab
  document.getElementById(cityName).style.display = "block";
  evt.currentTarget.className += " active";
}

document.getElementById("defaultOpen").click();

let accordionHeaders = document.querySelectorAll('.accordion-header');

/* Toggling Each Accordion function: */
function toggleAccordion() {
     this.parentElement.classList.toggle('open');
}

/* Toggling All Accordion function: 
function toggleAccordion() {
     let accordions = document.querySelectorAll('.accordion');
     if (this.parentElement.classList.contains('open')) {
          this.parentElement.classList.remove('open');
     } else {
          accordions.forEach(accordion => accordion.classList.remove('open'));
          this.parentElement.classList.add('open');
     }
}
*/
accordionHeaders.forEach(accordionHeader => {
     accordionHeader.addEventListener('click', toggleAccordion);
});

//JINX IMAGE BY HIBOARTWORK
//ZAUN IMAGE BY FORTICHE
//ALL OTHER ARTWORK THAT WAS USED WAS MADE BY MYSELF OR SOURCED DIRECTLY FROM ARCANE


  
